#
# spec file for package inst-source-utils (Version 2008.7.21)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           inst-source-utils
Url:            http://en.opensuse.org/Inst-source-utils
License:        GPL v2 or later
Group:          System/YaST
AutoReqProv:    on
Obsoletes:      autoyast2-utils <= 2.14.10
Provides:       autoyast2-utils = 2.14.10
Summary:        Utilities for creating customized installation sources.
Version:        2008.7.21
Release:        2.1
Source:         inst-source-utils.tar.bz2
Source1:        copy-build.sh
Source2:        split.pl
NoSource:       1
NoSource:       2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Utilities supporting autoinstallation and creation of customized
installation and update sources.



%prep
%setup -n %{name} -q

%build

%install
install -d -m 755 %{buildroot}/%{_prefix}
cp -a * %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(755,root,root,755)
%_bindir/*
%defattr(644,root,root,755)
%_datadir/%name

%changelog
* Mon Jul 21 2008 - lrupp@suse.de
- create_directory_yast:
  + add "-f" option to overwrite existing directory.yast files
- create_md5sums:
  + small code cleanups only
- create_package_descr:
  + added option -F (do file list: packages.FL)
  + added option -B (add requires for src packages)
  + fix warning message if -x is not specified (typo)
  + EXTRA_REQUIRES_FILE option switched from -p to -r
- create_repo_for_patch.sh:
  + fix quoting
- create_sha1sums:
  + added option "-x" to add additional meta files in content file
  + beetter check for repomd.xml
  + added "-n" option to skip re-signing
- mk_changelog:
  + small code cleanup
* Fri May 16 2008 - ro@suse.de
- patches upstreamed
* Thu May 15 2008 - schwab@suse.de
- Fix syntax and quoting bugs.
* Fri Feb 01 2008 - lrupp@suse.de
- fix file permissions (fixes bnc#357313 and bnc#351070)
- handle also boot/*/config boot/*/common (create_sha1sums)
- fix path to REPOFILE (create_sha1sums)
* Tue Dec 11 2007 - lrupp@suse.de
- added mk_changelog (for add-on creator)
- add fallback mode for createpatch (see #308684)
* Wed Sep 26 2007 - ro@suse.de
- remove dependency to createrepo for now
* Wed Sep 26 2007 - lrupp@suse.de
- fixes for Bug #308684:
  + require createrepo
  + be more secure in bash
* Tue Jul 17 2007 - lrupp@suse.de
- createpatch: use CONFIRMATION_FILE as description to make clear,
  that this creates a confirmation popup for the user (#205534)
* Fri Jul 13 2007 - lrupp@suse.de
- create_md5sums:
  + fix typo in usage
- create_package_descr:
  + search data in main package for xxbit packages
  + add license notes as confirmlic so YaST can display them
  even in plain text mode
- create_sha1sums: added to generate the SHA1SUMs in content file
- createpatch:
  + support "license_to_confirm": add an EULA to the patch, read
  from the file specified (see #205534 for details)
  + beautify usage message
  + added @packagelist to condition
- mk_listings:
  + handle whitespaces in directory names
  + use --rsyncable as gzip option: `rsync' program can take
  advantage of similarities during sync over network
  + replace standard Names (CD,DVD,inst-source)
  + use '--nodigest --nosignature' for rpm queries if supported
  + re-create hardlinks from basedir to CD-dir if CD*/*.gz exists
* Tue May 15 2007 - ories@suse.de
- added support for adding supplements tag (#262859, #256038)
- added support for overwriting the default freshens value
- fixed one \" escaping typo
- do not delete product.xml
* Thu Mar 15 2007 - lrupp@suse.de
- patched copy-sources.sh
* Tue Mar 13 2007 - lrupp@suse.de
- fixed source again - fixed script, too
* Fri Mar 09 2007 - lrupp@suse.de
- fixed source tarball
* Mon Mar 05 2007 - lrupp@suse.de
- add package to SLE10-SP1 tree (#250860)
* Mon Feb 26 2007 - lrupp@suse.de
- fixed #214273 :  inst-source-utils perl module in subdir of
  /usr/bin is questionable/ugly
* Thu Oct 19 2006 - lrupp@suse.de
- Obsolete only autoyast-utils <= 2.14.6
* Fri Oct 13 2006 - lrupp@suse.de
- Initial version
